unit FImage;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TFrmImage = class(TForm)
    Image: TImage;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Initialize(const Bitmap: TBitmap; const Filename: String);
  end;

implementation

{$R *.dfm}

{ TFrmImage }

procedure TFrmImage.Initialize(const Bitmap: TBitmap; const Filename: String);
begin
  Image.Picture.Bitmap := Bitmap;
  Caption := Format('%s (%d x %d)',
    [ExtractFilename(Filename),Bitmap.Width,Bitmap.Height]);
  ClientWidth := Bitmap.Width;
  ClientHeight := Bitmap.Height;
  ClientWidth := Bitmap.Width;
end;

procedure TFrmImage.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

end.
